package com.example.ellegadodepintia.exploradoresDePintia.model.objeto.efectoObjeto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.habilidad.Habilidad

class EfectoEquipableHabilidad (private val habilidad: Habilidad) : EfectoObjetoEquipable(){
    override fun ejecutar() {
        GameState.jugador.habilidades.add(habilidad)
    }
    override fun desequipar() {
        GameState.jugador.habilidades.remove(habilidad)
    }
}